Skip to main content
PATCH
/
webhooks
/
{id}
cURL
curl -X PATCH 'https://api.nuntly.com/webhooks/wh_01ka8k8s80gvx9604cn9am5st4' \
  -H 'Authorization: Bearer apk_xxx' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production webhook","events":["email.queued"]}'
{
  "data": {
    "id": "<string>",
    "signingSecret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use an API key from https://nuntly.com/dashboard/api-keys. Required on every endpoint.

Path Parameters

id
string
required

The id of the webhook

Body

application/json
name
string

The name of the webhook

Example:

"Production webhook"

endpointUrl
string

The endpoint URL of the webhook

Example:

"https://example.com/webhooks"

events
enum<string>[]

The event types to subscribe to

Available options:
email.queued,
email.scheduled,
email.processed,
email.sending,
email.sent,
email.delivered,
email.opened,
email.clicked,
email.bounced,
email.complained,
email.rejected,
email.deliveryDelayed,
email.failed,
email.renderingFailed,
email.subscribed,
email.unsubscribed,
message.received,
message.security.flagged,
message.agent.triggered,
message.sent,
message.rejected
status
enum<string>

The status of the webhook.

Available options:
enabled,
disabled
rotateSecret
boolean

If true, a new signing secret will be generated

Response

Successful response.

data
object
required